Bug 198317 - two partitions of external 1394 harddrive automounted on same mount point
two partitions of external 1394 harddrive automounted on same mount point
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-volume-manager (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 21:30 EDT by John Reiser
Modified: 2013-03-05 22:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 23:21:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages for failure (2.00 KB, application/octet-stream)
2006-07-10 21:32 EDT, John Reiser
no flags Details
/var/log/messages for success (4.11 KB, application/octet-stream)
2006-07-10 21:35 EDT, John Reiser
no flags Details
lspci output: plain, -n, -v (5.26 KB, application/octet-stream)
2006-07-10 21:37 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2006-07-10 21:30:33 EDT
Description of problem: Sometimes I see two different partitions on the same
external IEEE1394 [Firewire] harddrive get automounted on the same mount point:
-----
$ df
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/hda12             8123168   3877696   3826180  51% /
tmpfs                   517748         0    517748   0% /dev/shm
/dev/sda2            288198304  90500516 194769864  32% /media/disk
/dev/sda1            288198304  90500516 194769864  32% /media/disk
-----
Notice that /media/disk is both /dev/sda2 and /dev/sda1. (When I see this, then
I turn off the power on the external drive, to try to avoid scrambled filesystems.)


Version-Release number of selected component (if applicable):
udev-084-13
nautilus-2.14.1-1.fc5.1
gnome-desktop-2.14.2-1
initscripts-8.31.5-1
kernel-2.6.17-1.2145_FC5

How reproducible:
always

Steps to Reproduce:
1. boot system, attach external 1394 [Firewire] harddrive with 2 ext3 partitions
2. turn on harddrive, wait for automounting
3.
  
Actual results:
/dev/sda2            288198304  90500516 194769864  32% /media/disk
/dev/sda1            288198304  90500516 194769864  32% /media/disk


Expected results:
/dev/sda1            288198304  90500516 194769864  32% /media/disk
/dev/sda2               116661      4173    111284   4% /media/disk-1


Additional info:
The external harddrive also has a USB-2.0 interface.  If I boot the system,
attach the external harddrive via the USB-2.0 interface, then the two partitions
get mounted correctly on distinct mount points.  Then, I can unmount both
partitions, turn off the harddrive, disconnect the USB-2.0 cable, connect the
1394 cable, turn on the harddrive, and see both partitions mounted correctly on
distinct mount points.  So there is something special about getting automounted
for the first time after boot using the 1394 interface.

I will attach portions of /var/log/messages for both failure (mounted first by
1394 after boot) and for success (mounted first by USB-2.0, then by 1394).
Comment 1 John Reiser 2006-07-10 21:32:51 EDT
Created attachment 132215 [details]
/var/log/messages for failure

boot system, connect harddrive via IEEE-1394 interface, turn on harddrive, wait
for automounting.
Comment 2 John Reiser 2006-07-10 21:35:04 EDT
Created attachment 132216 [details]
/var/log/messages for success

boot system, connect external harddrive via USB-2.0 interface, turn on
harddrive, wait for automounting; verify distinct mount points for the two
partitions.  unmount both partitions manually, turn off harddrive, disconnect
USB-2.0 cable, connect IEEE-1394 cable, turn on harddrive, wait for
automounting; verify distinct mount points for the two partitions.
Comment 3 John Reiser 2006-07-10 21:37:25 EDT
Created attachment 132217 [details]
lspci output: plain, -n, -v

/sbin/lspci; /sbin/lspci -n; /sbin/lspci -v
Comment 4 John Reiser 2006-07-10 21:46:49 EDT
hal-0.5.7-3.fc5.2
avahi-0.6.10-1.FC5
dbus-0.61-3.fc5.1
Comment 5 Harald Hoyer 2006-07-12 03:14:48 EDT
udev does not automount
Comment 6 Bug Zapper 2008-04-03 23:17:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 John Reiser 2008-04-04 23:21:04 EDT
This problem has disappeared; I do not see it in Fedora 9 Beta.

Note You need to log in before you can comment on or make changes to this bug.